Batch Save Sections
PUT
/api/canvas/{deal_id}/sections/batch
const url = 'https://example.com/api/canvas/example/sections/batch';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sections":[{"content":"...","section_key":"executive_summary"},{"content":"...","section_key":"financial_analysis"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/canvas/example/sections/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sections": [ { "content": "...", "section_key": "executive_summary" }, { "content": "...", "section_key": "financial_analysis" } ] }'Save multiple sections in a single request.
Each section is transitioned to ‘reviewed’ state with the provided content. Transitions are independent - partial failures are reported per-section.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
BatchSaveRequest
Request body for batch section save.
object
sections
required
Sections
Array<object>
BatchSectionUpdateA single section update in a batch request.
object
section_key
required
Section Key
string
content
required
Content
string
Example
{ "content": "Updated executive summary content...", "section_key": "executive_summary"}Example
{ "sections": [ { "content": "...", "section_key": "executive_summary" }, { "content": "...", "section_key": "financial_analysis" } ]}Responses
Section titled “ Responses ”Successful Response
Media type application/json
BatchSaveResponse
Response for batch section save.
object
Example generated
{ "results": [ { "section_key": "example", "success": true, "error": "example" } ], "all_success": true}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}